<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" encoding="utf-8" indent="yes" />

	<xsl:template match="forms">
		<table>
			<tr>
				<th colspan="2">Actions</th>
			</tr>
			<xsl:apply-templates />
		</table>
	</xsl:template>

	<xsl:template match="form">
		<tr>
			<td>
				<xsl:value-of select="@caption" />
			</td>
			<td>
				<form>
					<xsl:attribute name="id">
						<xsl:value-of select="@name" />
					</xsl:attribute>

					<xsl:attribute name="action">
						<xsl:value-of select="@action" />
					</xsl:attribute>

					<xsl:attribute name="method">
						<xsl:value-of select="@method" />
					</xsl:attribute>

					<xsl:if test="@enctype != ''">
						<xsl:attribute name="enctype">
							<xsl:value-of select="@enctype" />
						</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates />
				</form>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="file-upload">
		<script type="text/javascript">
			document.forms["<xsl:value-of select="../@name" />"].enctype = "multipart/form-data";
		</script>
		<input type="file" accept="multipart/form-data">
			<xsl:attribute name="id">
				<xsl:value-of select="@name" />
			</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="@name" />
			</xsl:attribute>
		</input>

		<input type="button">
			<xsl:attribute name="onClick">
				if(document.getElementById('<xsl:value-of select="@name" />').value == '') {
					alert("Please select a file to upload");
				}
				else {
					if(confirm('<xsl:value-of select="@question" />'))
						document.forms["<xsl:value-of select="../@name" />"].submit(); 
				}
			</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="@caption" /></xsl:attribute>
		</input>
	</xsl:template>

	<xsl:template match="header">
		<h1>
			<xsl:value-of select="." />
		</h1>
	</xsl:template>

</xsl:stylesheet>
